> For the complete documentation index, see [llms.txt](https://docs.zenprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zenprotocol.com/apps/oracle/deploy/docker.md).

# Docker

#### Docker File

```
FROM mono

ENV zen_path=""
ENV zen_wallet_password=""
ENV zen_node_uri=""
ENV oracle_api=""
ENV mongo_connection=""

EXPOSE 5050

RUN apt-get update && apt-get install -y apt-utils procps iptables git
RUN mkdir services

WORKDIR services

RUN git clone https://gitlab.com/zenprotocol/zen-oracle.git
WORKDIR zen-oracle
RUN ./paket restore
RUN msbuild src/zen-oracle.sln /p:Configuration=Release -m
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zenprotocol.com/apps/oracle/deploy/docker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
